Horizon 7 及更新版本的元件預設會停用 TLSv1.0 安全性通訊協定。如果您的部署包含僅支援 TLSv1.0 的舊版 vCenter Server,在安裝或升級至連線伺服器 7.0 或更新版本後,您可能需要為連線伺服器連線啟用 TLSv1.0。

執行這項作業的原因和時機

有些 vCenter Server 5.0、5.1 和 5.5 的舊維護版本只支援 TLSv1.0,但 Horizon 7 及更新版本預設已不再啟用此功能。如果無法將 vCenter Server 升級至支援 TLSv1.1 或 TLSv1.2,您可為連線伺服器連線啟用 TLSv1.0。

先決條件

  • 如果您要升級至 Horizon 7,請在升級前執行此程序,以將必須重新啟動服務的次數降至最低。在升級期間,VMware Horizon View 連線伺服器服務會重新啟動,因為必須要重新啟動才能套用此程序中說明的組態變更。如果您尚未執行此程序就進行升級,將需要再次重新啟動服務。

  • 有關如何在 Windows 作業系統版本使用 ADSI Edit 公用程式的資訊,請參閱 Microsoft TechNet 網站。

程序

  1. 在連線伺服器主機上啟動 ADSI Edit 公用程式。
  2. 在主控台樹狀結構中,選取連線至
  3. 選取或輸入辨別名稱或命名內容文字方塊中,輸入辨別名稱 DC=vdi, DC=vmware, DC=int
  4. 在 [電腦] 窗格中選取或輸入 localhost:389,或連線伺服器主機的完整網域名稱 (FQDN),後面再加上連接埠 389。

    例如:localhost:389mycomputer.example.com:389

  5. 依序展開 ADSI Edit 樹狀結構和 OU=Properties、選取 OU=Global,然後按兩下右窗格中的 CN=Common
  6. 在 [內容] 對話方塊中,編輯 pae-ClientSSLSecureProtocols 屬性以新增下列值

    \LIST:TLSv1.2,TLSv1.1,TLSv1

    請務必在該行開頭處加上反斜線。

  7. 按一下確定
  8. 如果是全新安裝,若要套用組態變更,請重新啟動每個連線伺服器執行個體上的 VMware Horizon View 連線伺服器服務。

    如果您計劃執行升級,則不需重新啟動服務,因為升級程序會自動重新啟動服務。